package eu.mhsl.minenet.minigames.handler;

import eu.mhsl.minenet.minigames.handler.global.*;
import net.minestom.server.MinecraftServer;
import net.minestom.server.event.EventListener;

public enum Listeners {
    SPAWN(new AddEntityToInstanceEventListener()),
    LOGIN(new PlayerLoginHandler()),
    LEAVE(new PlayerLeaveHandler());

    Listeners(EventListener<?> event) {
        MinecraftServer.getGlobalEventHandler().addListener(event);
    }
}
